org.apache.lucene.util.packed

## Interface PackedInts.Mutable

- All Superinterfaces:
    PackedInts.Reader
  All Known Implementing Classes:
    GrowableWriter
  Enclosing class:
    PackedInts

      public static interface PackedInts.Mutable
      extends PackedInts.Reader

  A packed integer array that can be modified.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Sets all values to 0.
    `void` | `fill(int fromIndex, int toIndex, long val)` Fill the mutable from `fromIndex` (inclusive) to `toIndex` (exclusive) with `val`.
    `void` | `save(DataOutput out)` Save this mutable into `out`.
    `void` | `set(int index, long value)` Set the value at the given index in the array.
    `int` | `set(int index, long[] arr, int off, int len)` Bulk set: set at least one and at most `len` longs starting at `off` in `arr` into this mutable, starting at `index`.

    - ### Methods inherited from interface org.apache.lucene.util.packed.PackedInts.Reader

      `get, get, getArray, getBitsPerValue, hasArray, ramBytesUsed, size`

- - ### Method Detail

    - #### set

          void set(int index,
                 long value)

      Set the value at the given index in the array.
      Parameters:
        `index` - where the value should be positioned.
        `value` - a value conforming to the constraints set by the array.

    - #### set

          int set(int index,
                long[] arr,
                int off,
                int len)

      Bulk set: set at least one and at most `len` longs starting at `off` in `arr` into this mutable, starting at `index`. Returns the actual number of values that have been set.

    - #### fill

          void fill(int fromIndex,
                  int toIndex,
                  long val)

      Fill the mutable from `fromIndex` (inclusive) to `toIndex` (exclusive) with `val`.

    - #### clear

          void clear()

      Sets all values to 0.

    - #### save

          void save(DataOutput out)
                    throws IOException

      Save this mutable into `out`. Instantiating a reader from the generated data will return a reader with the same number of bits per value.
      Throws:
        `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.